/*
 * Copyright (C) 2009-2019  CZ.NIC, z. s. p. o.
 *
 * This file is part of FRED.
 *
 * FRED is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * FRED is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with FRED.  If not, see <https://www.gnu.org/licenses/>.
 */
/**
 *  @file convert_str_base.h
 *  Definitions of type conversions from/to string.
 *  (inspired by C++ FAQ Lite)
 */


#ifndef CONVERT_STR_BASE_HH_81612106A8714C109F48C29DF8AC1463
#define CONVERT_STR_BASE_HH_81612106A8714C109F48C29DF8AC1463

#include <iostream>
#include <sstream>
#include <iomanip>

#include "util/types/convert_common.hh"


/**
 * fallback convert to string, if no specialization
 * found convert by stream convertor
 */
template<class T>
struct StrConvert : StreamConvertor<T> {};


#endif /*CONVERT_STR_BASE_H_*/

